Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.cmp
Class POPODecKeyChallContent

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cmp.POPODecKeyChallContent

All Implemented Interfaces:
  DEREncodable

    public class POPODecKeyChallContent

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`static POPODecKeyChallContent` `getInstance(java.lang.Object o)`
`DERObject` `toASN1Object()` POPODecKeyChallContent ::= SEQUENCE OF Challenge
`Challenge[]` `toChallengeArray()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static POPODecKeyChallContent getInstance(java.lang.Object o)

### toChallengeArray

    public Challenge[] toChallengeArray()

### toASN1Object

    public DERObject toASN1Object()

       POPODecKeyChallContent ::= SEQUENCE OF Challenge

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Bouncy Castle Cryptography Library 1.45